package com.ether.dao;

import com.ether.IsotopeG03;
import com.ether.PersistenceException;
import org.hibernate.criterion.DetachedCriteria;
import org.hibernate.criterion.Restrictions;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.List;

/**
 * @author npipsl
 * @date july 2012
 */
public class IsotopeG03DAOImpl
        extends DomainAccessObjectImpl<IsotopeG03, Integer>
        implements IsotopeG03DAO
{
    protected IsotopeG03DAOImpl()
    {
        super( IsotopeG03.class );
    }

    @NotNull
    public List<IsotopeG03> getAllIsotopeG03()
            throws PersistenceException
    {
        final DetachedCriteria criteria = DetachedCriteria.forClass( IsotopeG03.class );
        return selectAllByCriteria( IsotopeG03.class, criteria );
    }

    @NotNull
    public List<IsotopeG03> getTransitionsByIsotopeG03Name( final String isotopeName )
            throws PersistenceException
    {
        final DetachedCriteria criteria = DetachedCriteria.forClass( IsotopeG03.class );
        criteria.add( Restrictions.eq( "chMoleIsot", isotopeName ) );
        return selectAllByCriteria( IsotopeG03.class, criteria );
    }
}